| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes
Tp::PtrFunctor1< R, Arg1 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

List of all members.

## Public Types

- typedef R(* FunctionType )(Arg1)
- typedef R ResultType

## Public Member Functions

- PtrFunctor1 (FunctionType fn)
- ResultType operator() (Arg1 a1) const

## Public Attributes

- FunctionType fn

### template<class R, class Arg1>
struct Tp::PtrFunctor1< R, Arg1 >

## Member Typedef Documentation

template<class R , class Arg1 >

typedef R(* Tp::PtrFunctor1< R, Arg1 >::FunctionType)(Arg1)

template<class R , class Arg1 >

typedef R Tp::PtrFunctor1< R, Arg1 >::ResultType

## Constructor & Destructor Documentation

template<class R , class Arg1 >

Tp::PtrFunctor1< R, Arg1 >::PtrFunctor1 | ( | FunctionType | fn | ) | `[inline]`

## Member Function Documentation

template<class R , class Arg1 >

ResultType Tp::PtrFunctor1< R, Arg1 >::operator() | ( | Arg1 | a1 | ) | const`[inline]`

## Member Data Documentation

template<class R , class Arg1 >

FunctionType Tp::PtrFunctor1< R, Arg1 >::fn